searchNodes=[{"ref":"readme.html","title":"Scrivener.Ecto","type":"extras","doc":"Scrivener.Ecto"},{"ref":"readme.html#low-maintenance-warning","title":"Scrivener.Ecto - Low Maintenance Warning","type":"extras","doc":"This library is in low maintenance mode, which means the author is currently only responding to pull requests and breaking issues."},{"ref":"readme.html#usage","title":"Scrivener.Ecto - Usage","type":"extras","doc":"Scrivener.Ecto allows you to paginate your Ecto queries with Scrivener. It gives you useful information such as the total number of pages, the current page, and the current page&#39;s entries. It works nicely with Phoenix as well. First, you&#39;ll want to use Scrivener in your application&#39;s Ecto Repo. This will add a paginate function to your Repo. This paginate function expects to be called with, at a minimum, an Ecto query. It will then paginate the query and execute it, returning a Scrivener.Page. Defaults for page_size can be configured when you use Scrivener. If no page_size is provided, Scrivener will use 10 by default. You may also want to call paginate with a params map along with your query. If provided with a params map, Scrivener will use the values in the keys &quot;page&quot; and &quot;page_size&quot; before using any configured defaults. Note: Scrivener.Ecto only supports Ecto backends that allow subqueries (e.g. PostgreSQL)."},{"ref":"readme.html#example","title":"Scrivener.Ecto - Example","type":"extras","doc":"defmodule MyApp.Repo do use Ecto.Repo, otp_app: :my_app, adapter: Ecto.Adapters.Postgres use Scrivener, page_size: 10 end defmodule MyApp.Person do use Ecto.Schema schema &quot;people&quot; do field :name, :string field :age, :integer has_many :friends, MyApp.Person end end def index(conn, params) do page = MyApp.Person |&gt; where([p], p.age &gt; 30) |&gt; order_by(desc: :age) |&gt; preload(:friends) |&gt; MyApp.Repo.paginate(params) render conn, :index, people: page.entries, page_number: page.page_number, page_size: page.page_size, total_pages: page.total_pages, total_entries: page.total_entries end page = MyApp.Person |&gt; where([p], p.age &gt; 30) |&gt; order_by(desc: :age) |&gt; preload(:friends) |&gt; MyApp.Repo.paginate(page: 2, page_size: 5)"},{"ref":"readme.html#installation","title":"Scrivener.Ecto - Installation","type":"extras","doc":"Add scrivener_ecto to your mix.exs deps. defp deps do [ {:scrivener_ecto, &quot;~&gt; 2.0&quot;} ] end"},{"ref":"readme.html#contributing","title":"Scrivener.Ecto - Contributing","type":"extras","doc":"First, you&#39;ll need to build the test database. MIX_ENV=test mix db.reset This task assumes you have postgres installed and that your current user can create / drop databases. If you&#39;d prefer to use a different user, you can specify it with the environment variable SCRIVENER_ECTO_DB_USER. With the database built, you can now run the tests. mix test"}]